---
schema_version: "1"
id: 885a31b1c1410c002212c952dad81c268fe5f81c115211393e606a2b7e2022d0
title: TMF622 v4 Product Ordering (Outbound)
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/industries-integrations/comms/references/generated-api-specs/tmf622.md
canonical_url: https://developer.salesforce.com/docs/industries/communications/references/tmf622
source_site: developer.salesforce.com
content_type: documentation
content_hash: 48d36072812417176e823d9b717f62913c9a20a54212f7d8cdd9860082dc3c0b
products:
  - Communications Cloud TM Forum API
  - Industries Integrations
---
TMF622 v4 Product Ordering (Outbound)

# TMF622 v4 Product Ordering (Outbound)

The Product Ordering API provides a standardized mechanism for placing a product order with all of the necessary order parameters. The API consists of a simple set of operations that interact with CRM/Order negotiation systems in a consistent manner.

Protocols: https.

## Security

*   `clientIdEnforcement` (x-client-id-enforcement) Apply Client ID Enforcement policy to resource methods for authenticating API requests
    *   Header client\_id: Client Id to be passed for authenticating the API
    *   Header client\_secret: Client Secret to be passed for authenticating the API

## Operations

### POST Create Product Order

`POST /productOrder`

Creates a Product Order.

#### Request body

Media type: `application/json`. Schema: `object`.

*   `id` (_string_, required)  
    Example: `a3oKj0000019VGeIAM`.

_Example_

```
{
  "id" : "a3oKj0000019VGeIAM"
}
```

#### Responses

*   **201**
    
    Headers:
    
    *   `X-Ratelimit-Remaining` (number, required) The amount of available quota  
        Example: `5`.
    *   `X-Ratelimit-Limit` (number, required) The maximum available requests per window  
        Example: `10`.
    *   `X-Ratelimit-Reset` (number, required) The remaining time, in milliseconds, until a new window starts  
        Example: `3000`.
    
    Media type: `application/json`. Schema: `object`.
    
    *   `orderDate` (_string_)  
        Example: `2025-02-11T09:25:41.000+0000`.
    *   `relatedParty` (_array of object_, required)
        *   `href` (_string_)  
            Example: `/services/apexrest/vlocity_cmt/tmforum/productopenapi/v63.0/productorder/00002091Account/001Kj00002WDoq5IAD`.
        *   `name` (_string_)  
            Example: `Salesforce`.
        *   `@type` (_string_)  
            Example: `RelatedParty`.
        *   `role` (_string_)  
            Example: `Company`.
    *   `state` (_string_)  
        Example: `Draft`.
    *   `id` (_string_)  
        Example: `00002091`.
    *   `href` (_string_)  
        Example: `/services/apexrest/vlocity_cmt/tmforum/productopenapi/v63.0/productorder/00002091Order/801Kj00000AQvovIAD`.
    *   `channel` (_string_)  
        Example: `Call Center`.
    
    _Example_
    
    ```
    {
      "orderDate": "2025-02-11T09:25:41.000+0000",
      "relatedParty": [
        {
          "href": "/services/apexrest/vlocity_cmt/tmforum/productopenapi/v63.0/productorder/00002091Account/001Kj00002WDoq5IAD",
          "name": "Salesforce",
          "@type": "RelatedParty",
          "role": "Company"
        }
      ],
      "state": "Draft",
      "id": "00002091",
      "href": "/services/apexrest/vlocity_cmt/tmforum/productopenapi/v63.0/productorder/00002091Order/801Kj00000AQvovIAD",
      "channel": "Call Center"
    }
    ```
    
*   **400** Bad request
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "400",
      "reason": "string",
      "message": "Bad Request",
      "status": "string",
      "referenceError": "string"
    }
    ```
    
*   **401** Unauthorized
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "401",
      "reason": "string",
      "message": "Unauthorized",
      "status": "string",
      "referenceError": "string"
    }
    ```
    
*   **403** Forbidden
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "403",
      "reason": "string",
      "message": "Forbidden",
      "status": "string",
      "referenceError": "string"
    }
    ```
    
*   **404** Resource not found
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "404",
      "reason": "string",
      "message": "Not Found",
      "status": "string",
      "referenceError": "string"
    }
    ```
    
*   **405** Method not allowed
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "405",
      "reason": "string",
      "message": "Method Not Allowed",
      "status": "string",
      "referenceError": "string"
    }
    ```
    
*   **500** Internal server error
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "500",
      "reason": "string",
      "message": "Internal Server Error",
      "status": "string",
      "referenceError": "string"
    }
    ```
    
*   **501** Not Implemented
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "501",
      "reason": "string",
      "message": "Not Implemented",
      "status": "string",
      "referenceError": "string"
    }
    ```
    
*   **503** Service Unavailable
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "503",
      "reason": "string",
      "message": "Service Unavailable",
      "status": "string",
      "referenceError": "string"
    }
    ```
    
*   **200**
    
    Headers:
    
    *   `X-Ratelimit-Remaining` (number, required) The amount of available quota  
        Example: `5`.
    *   `X-Ratelimit-Limit` (number, required) The maximum available requests per window  
        Example: `10`.
    *   `X-Ratelimit-Reset` (number, required) The remaining time, in milliseconds, until a new window starts  
        Example: `3000`.

### POST Product Order Creation Event Notification

`POST /notification/productOrderCreateEvent`

Used to notify that a new order has been created.

#### Request body

Media type: `application/json`. Schema: `array of object`.

Array of `object`.

*   `entityId` (_string_)  
    Example: `001xx000003GavHAAS`.
*   `entityName` (_string_)  
    Example: `Order`.
*   `eventId` (_string_)  
    Example: `0001ade9-3f74-0b99-dbc4-42e73424b774-1`.
*   `commitTimestamp` (_number_)  
    Example: `123`.
*   `commitNumber` (_number_)  
    Example: `123`.
*   `correlationId` (_string_)  
    Example: `0001ade9-3f74-0b99-dbc4-42e73424b77`.
*   `changeEventType` (_string_)  
    Example: `Create`.
*   `enrichedFields` (_object_)
*   `changedFields` (_object_)

_Example_

```
[
  {
    "entityId": "801LT00000krqSbYAI",
    "entityName": "Order",
    "eventId": "000007ee-db3f-d3cd-f879-ac73637b239d_1",
    "commitTimestamp": 1750229291000,
    "commitNumber": 1750229291869708300,
    "correlationId": "000007ee-db3f-d3cd-f879-ac73637b239d",
    "changedFields": {
      "Status": "Activated"
    },
    "changeEventType": "Update",
    "enrichedFields": {
      "OrderNumber": "00000447"
    }
  }
]
```

#### Responses

*   **201**
    
    Headers:
    
    *   `X-Ratelimit-Remaining` (number, required) The amount of available quota  
        Example: `5`.
    *   `X-Ratelimit-Limit` (number, required) The maximum available requests per window  
        Example: `10`.
    *   `X-Ratelimit-Reset` (number, required) The remaining time, in milliseconds, until a new window starts  
        Example: `3000`.
    
    Media type: `application/json`. Schema: `array of object`.
    
    Array of `object`.
    
    *   `entityId` (_string_)  
        Example: `801LT00000kTQRFYA4`.
    *   `message` (_string_)  
        Example: `Event Posted Successfully.`.
    
    _Example_
    
    ```
    [
      {
      "entityId" : "00000449",
      "message" : "Event Posted Successfully"
      },
      {
      "entityId" : "00000302",
      "message" : "Event Posted Successfully"
      }
    ]
    ```
    
    _Example_
    
    ```
    [
      {
      "entityId" : "00000449",
      "message" : "Event Posted Successfully"
      },
      {
      "entityId" : "801LT00000kTQRFYA4",
      "message" : "Invalid Entity Name"
      }
    ]
    ```
    
    _Example_
    
    ```
    [
      {
      "entityId" : "00000449",
      "message" : "Event Posted Successfully"
      },
      {
      "entityId" : "00000302",
      "message" : "Event Posted Successfully"
      }
    ]
    ```
    
    _Example_
    
    ```
    [
      {
      "entityId" : "00000449",
      "message" : "Event Posted Successfully"
      },
      {
      "entityId" : "801LT00000kTQRFYA4",
      "message" : "Invalid Entity Name"
      }
    ]
    ```
    
    _Example_
    
    ```
    [
      {
      "entityId" : "00000449",
      "message" : "Event Posted Successfully"
      },
      {
      "entityId" : "00000302",
      "message" : "Event Posted Successfully"
      }
    ]
    ```
    
    _Example_
    
    ```
    [
      {
      "entityId" : "00000449",
      "message" : "Event Posted Successfully"
      },
      {
      "entityId" : "801LT00000kTQRFYA4",
      "message" : "Invalid Entity Name"
      }
    ]
    ```
    
*   **207**
    
    Media type: `application/json`. Schema: `array of object`.
    
    Array of `object`.
    
    *   `entityId` (_string_)  
        Example: `801LT00000kTQRFYA4`.
    *   `message` (_string_)  
        Example: `Event Posted Successfully.`.
    
    _Example_
    
    ```
    [
      {
      "entityId" : "00000449",
      "message" : "Event Posted Successfully"
      },
      {
      "entityId" : "00000302",
      "message" : "Event Posted Successfully"
      }
    ]
    ```
    
    _Example_
    
    ```
    [
      {
      "entityId" : "00000449",
      "message" : "Event Posted Successfully"
      },
      {
      "entityId" : "801LT00000kTQRFYA4",
      "message" : "Invalid Entity Name"
      }
    ]
    ```
    
    _Example_
    
    ```
    [
      {
      "entityId" : "00000449",
      "message" : "Event Posted Successfully"
      },
      {
      "entityId" : "00000302",
      "message" : "Event Posted Successfully"
      }
    ]
    ```
    
    _Example_
    
    ```
    [
      {
      "entityId" : "00000449",
      "message" : "Event Posted Successfully"
      },
      {
      "entityId" : "801LT00000kTQRFYA4",
      "message" : "Invalid Entity Name"
      }
    ]
    ```
    
    _Example_
    
    ```
    [
      {
      "entityId" : "00000449",
      "message" : "Event Posted Successfully"
      },
      {
      "entityId" : "00000302",
      "message" : "Event Posted Successfully"
      }
    ]
    ```
    
    _Example_
    
    ```
    [
      {
      "entityId" : "00000449",
      "message" : "Event Posted Successfully"
      },
      {
      "entityId" : "801LT00000kTQRFYA4",
      "message" : "Invalid Entity Name"
      }
    ]
    ```
    
*   **400** Bad request
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "400",
      "reason": "string",
      "message": "Bad Request",
      "status": "string",
      "referenceError": "string"
    }
    ```
    
*   **401** Unauthorized
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "401",
      "reason": "string",
      "message": "Unauthorized",
      "status": "string",
      "referenceError": "string"
    }
    ```
    
*   **403** Forbidden
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "403",
      "reason": "string",
      "message": "Forbidden",
      "status": "string",
      "referenceError": "string"
    }
    ```
    
*   **404** Resource not found
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "404",
      "reason": "string",
      "message": "Not Found",
      "status": "string",
      "referenceError": "string"
    }
    ```
    
*   **405** Method not allowed
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "405",
      "reason": "string",
      "message": "Method Not Allowed",
      "status": "string",
      "referenceError": "string"
    }
    ```
    
*   **500** Internal server error
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "500",
      "reason": "string",
      "message": "Internal Server Error",
      "status": "string",
      "referenceError": "string"
    }
    ```
    
*   **501** Not Implemented
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "501",
      "reason": "string",
      "message": "Not Implemented",
      "status": "string",
      "referenceError": "string"
    }
    ```
    
*   **503** Service Unavailable
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "503",
      "reason": "string",
      "message": "Service Unavailable",
      "status": "string",
      "referenceError": "string"
    }
    ```
    
*   **200**
    
    Headers:
    
    *   `X-Ratelimit-Remaining` (number, required) The amount of available quota  
        Example: `5`.
    *   `X-Ratelimit-Limit` (number, required) The maximum available requests per window  
        Example: `10`.
    *   `X-Ratelimit-Reset` (number, required) The remaining time, in milliseconds, until a new window starts  
        Example: `3000`.

### POST Product Order Attribute Change Event Notification

`POST /notification/productOrderAttributeValueChangeEvent`

Used to notify that any data in an order has just changed.

#### Request body

Media type: `application/json`. Schema: `array of object`.

Array of `object`.

*   `entityId` (_string_)  
    Example: `001xx000003GavHAAS`.
*   `entityName` (_string_)  
    Example: `Order`.
*   `eventId` (_string_)  
    Example: `0001ade9-3f74-0b99-dbc4-42e73424b774-1`.
*   `commitTimestamp` (_number_)  
    Example: `123`.
*   `commitNumber` (_number_)  
    Example: `123`.
*   `correlationId` (_string_)  
    Example: `0001ade9-3f74-0b99-dbc4-42e73424b77`.
*   `changeEventType` (_string_)  
    Example: `Create`.
*   `enrichedFields` (_object_)
*   `changedFields` (_object_)

_Example_

```
[
  {
    "entityId": "801LT00000krqSbYAI",
    "entityName": "Order",
    "eventId": "000007ee-db3f-d3cd-f879-ac73637b239d_1",
    "commitTimestamp": 1750229291000,
    "commitNumber": 1750229291869708300,
    "correlationId": "000007ee-db3f-d3cd-f879-ac73637b239d",
    "changedFields": {
      "Status": "Activated"
    },
    "changeEventType": "Update",
    "enrichedFields": {
      "OrderNumber": "00000447"
    }
  }
]
```

#### Responses

*   **201**
    
    Headers:
    
    *   `X-Ratelimit-Remaining` (number, required) The amount of available quota  
        Example: `5`.
    *   `X-Ratelimit-Limit` (number, required) The maximum available requests per window  
        Example: `10`.
    *   `X-Ratelimit-Reset` (number, required) The remaining time, in milliseconds, until a new window starts  
        Example: `3000`.
    
    Media type: `application/json`. Schema: `array of object`.
    
    Array of `object`.
    
    *   `entityId` (_string_)  
        Example: `801LT00000kTQRFYA4`.
    *   `message` (_string_)  
        Example: `Event Posted Successfully.`.
    
    _Example_
    
    ```
    [
      {
      "entityId" : "00000449",
      "message" : "Event Posted Successfully"
      },
      {
      "entityId" : "00000302",
      "message" : "Event Posted Successfully"
      }
    ]
    ```
    
    _Example_
    
    ```
    [
      {
      "entityId" : "00000449",
      "message" : "Event Posted Successfully"
      },
      {
      "entityId" : "801LT00000kTQRFYA4",
      "message" : "Invalid Entity Name"
      }
    ]
    ```
    
    _Example_
    
    ```
    [
      {
      "entityId" : "00000449",
      "message" : "Event Posted Successfully"
      },
      {
      "entityId" : "00000302",
      "message" : "Event Posted Successfully"
      }
    ]
    ```
    
    _Example_
    
    ```
    [
      {
      "entityId" : "00000449",
      "message" : "Event Posted Successfully"
      },
      {
      "entityId" : "801LT00000kTQRFYA4",
      "message" : "Invalid Entity Name"
      }
    ]
    ```
    
    _Example_
    
    ```
    [
      {
      "entityId" : "00000449",
      "message" : "Event Posted Successfully"
      },
      {
      "entityId" : "00000302",
      "message" : "Event Posted Successfully"
      }
    ]
    ```
    
    _Example_
    
    ```
    [
      {
      "entityId" : "00000449",
      "message" : "Event Posted Successfully"
      },
      {
      "entityId" : "801LT00000kTQRFYA4",
      "message" : "Invalid Entity Name"
      }
    ]
    ```
    
*   **207**
    
    Media type: `application/json`. Schema: `array of object`.
    
    Array of `object`.
    
    *   `entityId` (_string_)  
        Example: `801LT00000kTQRFYA4`.
    *   `message` (_string_)  
        Example: `Event Posted Successfully.`.
    
    _Example_
    
    ```
    [
      {
      "entityId" : "00000449",
      "message" : "Event Posted Successfully"
      },
      {
      "entityId" : "00000302",
      "message" : "Event Posted Successfully"
      }
    ]
    ```
    
    _Example_
    
    ```
    [
      {
      "entityId" : "00000449",
      "message" : "Event Posted Successfully"
      },
      {
      "entityId" : "801LT00000kTQRFYA4",
      "message" : "Invalid Entity Name"
      }
    ]
    ```
    
    _Example_
    
    ```
    [
      {
      "entityId" : "00000449",
      "message" : "Event Posted Successfully"
      },
      {
      "entityId" : "00000302",
      "message" : "Event Posted Successfully"
      }
    ]
    ```
    
    _Example_
    
    ```
    [
      {
      "entityId" : "00000449",
      "message" : "Event Posted Successfully"
      },
      {
      "entityId" : "801LT00000kTQRFYA4",
      "message" : "Invalid Entity Name"
      }
    ]
    ```
    
    _Example_
    
    ```
    [
      {
      "entityId" : "00000449",
      "message" : "Event Posted Successfully"
      },
      {
      "entityId" : "00000302",
      "message" : "Event Posted Successfully"
      }
    ]
    ```
    
    _Example_
    
    ```
    [
      {
      "entityId" : "00000449",
      "message" : "Event Posted Successfully"
      },
      {
      "entityId" : "801LT00000kTQRFYA4",
      "message" : "Invalid Entity Name"
      }
    ]
    ```
    
*   **400** Bad request
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "400",
      "reason": "string",
      "message": "Bad Request",
      "status": "string",
      "referenceError": "string"
    }
    ```
    
*   **401** Unauthorized
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "401",
      "reason": "string",
      "message": "Unauthorized",
      "status": "string",
      "referenceError": "string"
    }
    ```
    
*   **403** Forbidden
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "403",
      "reason": "string",
      "message": "Forbidden",
      "status": "string",
      "referenceError": "string"
    }
    ```
    
*   **404** Resource not found
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "404",
      "reason": "string",
      "message": "Not Found",
      "status": "string",
      "referenceError": "string"
    }
    ```
    
*   **405** Method not allowed
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "405",
      "reason": "string",
      "message": "Method Not Allowed",
      "status": "string",
      "referenceError": "string"
    }
    ```
    
*   **500** Internal server error
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "500",
      "reason": "string",
      "message": "Internal Server Error",
      "status": "string",
      "referenceError": "string"
    }
    ```
    
*   **501** Not Implemented
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "501",
      "reason": "string",
      "message": "Not Implemented",
      "status": "string",
      "referenceError": "string"
    }
    ```
    
*   **503** Service Unavailable
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "503",
      "reason": "string",
      "message": "Service Unavailable",
      "status": "string",
      "referenceError": "string"
    }
    ```
    
*   **200**
    
    Headers:
    
    *   `X-Ratelimit-Remaining` (number, required) The amount of available quota  
        Example: `5`.
    *   `X-Ratelimit-Limit` (number, required) The maximum available requests per window  
        Example: `10`.
    *   `X-Ratelimit-Reset` (number, required) The remaining time, in milliseconds, until a new window starts  
        Example: `3000`.

### POST Product Order State Change Event Notification

`POST /notification/productOrderStateChangeEvent`

Used to notify that an order state is evolving.

#### Request body

Media type: `application/json`. Schema: `array of object`.

Array of `object`.

*   `entityId` (_string_)  
    Example: `001xx000003GavHAAS`.
*   `entityName` (_string_)  
    Example: `Order`.
*   `eventId` (_string_)  
    Example: `0001ade9-3f74-0b99-dbc4-42e73424b774-1`.
*   `commitTimestamp` (_number_)  
    Example: `123`.
*   `commitNumber` (_number_)  
    Example: `123`.
*   `correlationId` (_string_)  
    Example: `0001ade9-3f74-0b99-dbc4-42e73424b77`.
*   `changeEventType` (_string_)  
    Example: `Create`.
*   `enrichedFields` (_object_)
*   `changedFields` (_object_)

_Example_

```
[
  {
    "entityId": "801LT00000krqSbYAI",
    "entityName": "Order",
    "eventId": "000007ee-db3f-d3cd-f879-ac73637b239d_1",
    "commitTimestamp": 1750229291000,
    "commitNumber": 1750229291869708300,
    "correlationId": "000007ee-db3f-d3cd-f879-ac73637b239d",
    "changedFields": {
      "Status": "Activated"
    },
    "changeEventType": "Update",
    "enrichedFields": {
      "OrderNumber": "00000447"
    }
  }
]
```

#### Responses

*   **201**
    
    Headers:
    
    *   `X-Ratelimit-Remaining` (number, required) The amount of available quota  
        Example: `5`.
    *   `X-Ratelimit-Limit` (number, required) The maximum available requests per window  
        Example: `10`.
    *   `X-Ratelimit-Reset` (number, required) The remaining time, in milliseconds, until a new window starts  
        Example: `3000`.
    
    Media type: `application/json`. Schema: `array of object`.
    
    Array of `object`.
    
    *   `entityId` (_string_)  
        Example: `801LT00000kTQRFYA4`.
    *   `message` (_string_)  
        Example: `Event Posted Successfully.`.
    
    _Example_
    
    ```
    [
      {
      "entityId" : "00000449",
      "message" : "Event Posted Successfully"
      },
      {
      "entityId" : "00000302",
      "message" : "Event Posted Successfully"
      }
    ]
    ```
    
    _Example_
    
    ```
    [
      {
      "entityId" : "00000449",
      "message" : "Event Posted Successfully"
      },
      {
      "entityId" : "801LT00000kTQRFYA4",
      "message" : "Invalid Entity Name"
      }
    ]
    ```
    
    _Example_
    
    ```
    [
      {
      "entityId" : "00000449",
      "message" : "Event Posted Successfully"
      },
      {
      "entityId" : "00000302",
      "message" : "Event Posted Successfully"
      }
    ]
    ```
    
    _Example_
    
    ```
    [
      {
      "entityId" : "00000449",
      "message" : "Event Posted Successfully"
      },
      {
      "entityId" : "801LT00000kTQRFYA4",
      "message" : "Invalid Entity Name"
      }
    ]
    ```
    
    _Example_
    
    ```
    [
      {
      "entityId" : "00000449",
      "message" : "Event Posted Successfully"
      },
      {
      "entityId" : "00000302",
      "message" : "Event Posted Successfully"
      }
    ]
    ```
    
    _Example_
    
    ```
    [
      {
      "entityId" : "00000449",
      "message" : "Event Posted Successfully"
      },
      {
      "entityId" : "801LT00000kTQRFYA4",
      "message" : "Invalid Entity Name"
      }
    ]
    ```
    
*   **207**
    
    Media type: `application/json`. Schema: `array of object`.
    
    Array of `object`.
    
    *   `entityId` (_string_)  
        Example: `801LT00000kTQRFYA4`.
    *   `message` (_string_)  
        Example: `Event Posted Successfully.`.
    
    _Example_
    
    ```
    [
      {
      "entityId" : "00000449",
      "message" : "Event Posted Successfully"
      },
      {
      "entityId" : "00000302",
      "message" : "Event Posted Successfully"
      }
    ]
    ```
    
    _Example_
    
    ```
    [
      {
      "entityId" : "00000449",
      "message" : "Event Posted Successfully"
      },
      {
      "entityId" : "801LT00000kTQRFYA4",
      "message" : "Invalid Entity Name"
      }
    ]
    ```
    
    _Example_
    
    ```
    [
      {
      "entityId" : "00000449",
      "message" : "Event Posted Successfully"
      },
      {
      "entityId" : "00000302",
      "message" : "Event Posted Successfully"
      }
    ]
    ```
    
    _Example_
    
    ```
    [
      {
      "entityId" : "00000449",
      "message" : "Event Posted Successfully"
      },
      {
      "entityId" : "801LT00000kTQRFYA4",
      "message" : "Invalid Entity Name"
      }
    ]
    ```
    
    _Example_
    
    ```
    [
      {
      "entityId" : "00000449",
      "message" : "Event Posted Successfully"
      },
      {
      "entityId" : "00000302",
      "message" : "Event Posted Successfully"
      }
    ]
    ```
    
    _Example_
    
    ```
    [
      {
      "entityId" : "00000449",
      "message" : "Event Posted Successfully"
      },
      {
      "entityId" : "801LT00000kTQRFYA4",
      "message" : "Invalid Entity Name"
      }
    ]
    ```
    
*   **400** Bad request
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "400",
      "reason": "string",
      "message": "Bad Request",
      "status": "string",
      "referenceError": "string"
    }
    ```
    
*   **401** Unauthorized
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "401",
      "reason": "string",
      "message": "Unauthorized",
      "status": "string",
      "referenceError": "string"
    }
    ```
    
*   **403** Forbidden
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "403",
      "reason": "string",
      "message": "Forbidden",
      "status": "string",
      "referenceError": "string"
    }
    ```
    
*   **404** Resource not found
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "404",
      "reason": "string",
      "message": "Not Found",
      "status": "string",
      "referenceError": "string"
    }
    ```
    
*   **405** Method not allowed
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "405",
      "reason": "string",
      "message": "Method Not Allowed",
      "status": "string",
      "referenceError": "string"
    }
    ```
    
*   **500** Internal server error
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "500",
      "reason": "string",
      "message": "Internal Server Error",
      "status": "string",
      "referenceError": "string"
    }
    ```
    
*   **501** Not Implemented
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "501",
      "reason": "string",
      "message": "Not Implemented",
      "status": "string",
      "referenceError": "string"
    }
    ```
    
*   **503** Service Unavailable
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "503",
      "reason": "string",
      "message": "Service Unavailable",
      "status": "string",
      "referenceError": "string"
    }
    ```
    
*   **200**
    
    Headers:
    
    *   `X-Ratelimit-Remaining` (number, required) The amount of available quota  
        Example: `5`.
    *   `X-Ratelimit-Limit` (number, required) The maximum available requests per window  
        Example: `10`.
    *   `X-Ratelimit-Reset` (number, required) The remaining time, in milliseconds, until a new window starts  
        Example: `3000`.